Updates the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "4da8abc3-a411-4fc3-9d13-5b50d916aa8d",
"db_report_type_id": "4c71a3d4-0ae2-4fbf-aa41-0b4951e3102c",
"user_id": "46742b6b-5f36-44cb-8b21-5dde59f00802",
"company_id": "fbe09784-12d0-4da0-9878-e19bdb8c736b",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "2387977a-0611-4ed9-9081-334245c9ec01",
"id_in_table": "bf1ac629-2b89-4e4a-9c07-2ede2ab6b895",
"date_last_update": "2026-05-30T09:23:03.6355573+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-30T09:23:03.6355573+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.